# Class CIM_TextRedirectionSAP
extends CIM_ServiceAccessPoint

TextRedirectionSAP describes an access point to start the text redirection. One access point represents access to a single text redirection stream.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_TextRedirectionSAP

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | TextRedirectionSAP describes an access point to start the text redirection. One access point represents access to a single text redirection stream.
UMLPackagePath | string | CIM::Network::ConsoleProtocols
Version | string | 2.17.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherTextFlowType | string |
Description | string | An string describing the TextFlowType when the value of the TextFlowType property is set to 1 = "Other".
ModelCorrespondence | string | CIM_TextRedirectionSAP.TextFlowType
SessionTerminateSequence | string |
Description | string | A string sequence that allows the supervisor using the command line session to terminate the redirection stream. This is required because once the text redirection is started then the supervisor may lose the ability to interact with the command line session, and be unable to perform a RequestStateChange operation.
TextFlowType | uint16 |
Description | string | An enumeration specifying the type of the text stream supported on this SAP. In some cases this may be a raw character steam, with the characters having no special meaning. However, in other cases it may support a Terminal Mode where some characters have special meanings like backspace, positioning of the character on the screen, etc.
ModelCorrespondence | string | CIM_TextRedirectionSAP.OtherTextFlowType
ValueMap | string | 0, 1, 2, 3, 4..32767, 32768..65535
Values | string | Unknown, Other, Character Stream, Terminal Mode, DMTF Reserved, Vendor Specified

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement